### Method

# EBackend Backend credentials_required

since: 3.16

#### Declaration [src]

    void
    e_backend_credentials_required (
      EBackend* backend,
      ESourceCredentialsReason reason,
      const gchar* certificate_pem,
      GTlsCertificateFlags certificate_errors,
      const GError* op_error,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously calls the `e_backend_credentials_required_sync()` on the `backend`, to inform clients that credentials are required.

When the operation is finished, `callback` will be called. You can then call `e_backend_credentials_required_finish()` to get the result of the operation.

Available since: 3.16

This method completes asynchronously. Use `e_backend_credentials_required_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`reason`

  Type: `ESourceCredentialsReason`

  An `ESourceCredentialsReason`, why the credentials are required.

`certificate_pem`

  Type: `const gchar*`

  PEM-encoded secure connection certificate, or an empty string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`certificate_errors`

  Type: `GTlsCertificateFlags`

  A bit-or of `GTlsCertificateFlags` for secure connection certificate.

`op_error`

  Type: `GError`

  A `GError` with a description of the previous credentials error, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.